<TeXmacs|1.0.7.14>

<style|tmdoc>

<\body>
  <tmdoc-title|DrGeo>

  <hlink|DrGeo|http://www.drgeo.eu> is a free software program created both
  for the interactive study of Euclidean geometry and a mild introduction to
  programming.

  Using Dr. Geo, you can draw many classical geometric contructions and
  explore their propperties either from the metric point of view (measuring
  angles and length) or from the transformation one (via plane
  trasformations). Each Dr. Geo figure comes with a logic tree which shows
  all steps towards its construction. The basic geometric constructions
  provided by the software can be extended by the user adding
  macro-constructions.

  Dr. Geo also offers the possibility to learn programming at a very
  introductory level. With scripts, it is easy to interact with the geometric
  apparatus by implementing, for example, several formulas and constructions
  for later use. In this way the user can take advantage from the typical
  structures of a high level language to define complicated geometrical
  figures, even recursive ones.

  In Dr. Geo there are many utilities available to the teacher: customization
  and locking of the user interface, integration in Dr. Geo of a simple text
  editor, possibility to export figures (LaTeX, Postscript and PNG), etc.

  This plugin reffers to the version 1.1 of DrGeo that was released in 2003,
  and which is readily available in various Linux distributions. This version
  was the last one that used <scheme> as a scripting language; later versions
  use the language SmallTalk. Though version 1.1 is dated<\footnote>
    As of February of 2012, the version of DrGeo was 11.12
  </footnote>, it \ is still well suited for people interested in Learning
  Geometry or <scheme>.\ 
</body>

<\initial>
  <\collection>
    <associate|page-type|letter>
    <associate|prog-scripts|maxima>
  </collection>
</initial>