<TeXmacs|1.0.7.14>

<style|tmdoc>

<\body>
  <tmdoc-title|Usage of the Plugin for \ DrGeo 1.1>

  The plugin inserts a DrGeo menu inside of <TeXmacs> from where it is
  possible to insert instructions to produce points, circles, etc. \ This
  menu is intended to help the user remember the sintax required for the
  construction of each item. \ This menu also provides \ some common
  constructions that are used in <scheme>.

  The documentation for the plugin should also appear in the <TeXmacs> menu
  <verbatim|Help-\<gtr\>plugins-\<gtr\>DrGeo>

  To use the plugin, please do the following:

  <\enumerate>
    <item>Write down the scheme code corresponding to the figure desired.\ 

    <\itemize>
      <item> DO NOT write comments in your code, as they are not handled by
      the plugin.

      <item>In order for DrGeo to evaluate your figure, DrGeo needs at least
      one <verbatim|(new-figure ``name'')>. \ For your convenience, this is
      added by the plugin automatically for every figure before sending it to
      DrGeo. \ As a reminder, however, \ that <verbatim|new-figure> is
      necessary, the plugin proposes it as the first entry in the evaluation
      cell.

      <item>Separate lines using \ \ <verbatim|shift-return>

      <item>Once you are ready to evaluate your code, press <verbatim|return>
    </itemize>

    <item>The window for DrGeo will be open and DrGeo will evaluate your
    code. \ If there are errors, DrGeo will point them out.

    <item>Once the figure is evaluated, you are free to further edit your
    figure, adding or subtracting points, moving parts of the figure, etc.

    <item>Once the figure is to your satisfaction, go, inside of DrGeo, to
    <verbatim|File-\<gtr\>Exporting Preferences-\<gtr\>Define exporting
    Area.>

    <item>Select the portion of your drawing that you would like to export to
    <TeXmacs>

    <\itemize>
      <item>Note that the selection square is of a very light grey color, and
      so it is difficult to see in some screens.

      <item>This step is necesary, since otherwise what is used is the canvas
      visible to the user.
    </itemize>

    <item>Finally, close DrGeo. \ This will insert the figure into TeXmacs,
    and will close DrGeo.
  </enumerate>

  You can repeat this same steps for each cell.
</body>

<\initial>
  <\collection>
    <associate|page-type|letter>
  </collection>
</initial>